Subject: Re: Building Python-2.1b1 problems
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 14 Mar 2001 23:22:04 +0100

<Am 2001-03-14 16:07 wars, als Jason Tishler schrieb:>

> Why Distutils is *not* generating "-DUSE_DL_IMPORT" options (i.e., using
> CCSHARED) during compilation is the crux of your problem.  This is what
> you have to solve -- not the perceived link "problem."

Yep, correct.

> > I changed it to /src/Python-2.1.b1/libpython2.1.dll and it works.
> 
> I just tried this and I was (surprisingly) able to link successfully.

Hmmm, should it not? But after installing with this version i got a lot
stackdumps.
 
> On Tue, Mar 13, 2001 at 05:23:42PM +0100, Gerrit P. Haase wrote:
> > $ PYTHONPATH= ./python.exe -tt ./Lib/test/regrtest.py -l -x test_poll
> > test_grammar
> > test_opcodes
> > test_operations
> > [...]
> > test_zipfile
> > test_zlib
> > 109 tests OK.
> > 2 tests failed: test_strftime test_time
> > 19 tests skipped: test_al test_cd test_cl test_dbm test_dl test_fcntl
> 
> I guess that the above implies that these hand generated extensions work
> properly.  Is that correct?

Yes, now i works, only one extension did not built, pyexpat, i wonder why,
at work i got a NT workstation, there every extension was built.
 
> Unfortunately, until you resolve your Distutils problem, you will have
> to continue building them by hand.

Well, now its installed for the first enough trouble, i'll see at the next
release, whether the mess continues.

Ciao,

Gerrit

-- 
=^..^= [email-masked]
PGP-Key: 0x28A05137 [875C 745E 01CF 8A34 2767  BE39 305E 5261 28A0 5137]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple